## org.apache.cocoon.processor.xsp
Class XSPProcessor.PageEntry

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.XSPProcessor.PageEntry

Enclosing class:
  XSPProcessor

public class XSPProcessor.PageEntry
extends java.lang.Object

Field Summary
`protected java.util.Vector` `logicsheets`
`protected XSPPage` `page`
`protected java.io.File` `source`
`protected java.io.File` `target`

Constructor Summary
`XSPProcessor.PageEntry(java.io.File source, java.io.File target)`

Method Summary
`java.util.Vector` `getLogicsheets()`
`XSPPage` `getPage()`
`boolean` `hasChanged()` Does the page need recompiling?
`void` `setLogicsheets(java.util.Vector logicsheets)`
`void` `setPage(XSPPage page)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.io.File source

### target

    protected java.io.File target

### page

    protected XSPPage page

### logicsheets

    protected java.util.Vector logicsheets

Constructor Detail

### XSPProcessor.PageEntry

    public XSPProcessor.PageEntry(java.io.File source,
                                  java.io.File target)

Method Detail

### setLogicsheets

    public void setLogicsheets(java.util.Vector logicsheets)
                        throws java.lang.Exception

### getLogicsheets

    public java.util.Vector getLogicsheets()

### hasChanged

    public boolean hasChanged()
                       throws java.lang.Exception

  Does the page need recompiling?

### setPage

    public void setPage(XSPPage page)

### getPage

    public XSPPage getPage()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.